## mx4j.monitor
Interface MX4JCounterMonitorMBean

All Superinterfaces:
  MX4JMonitorMBean

All Known Implementing Classes:
  MX4JCounterMonitor

public interface MX4JCounterMonitorMBean
extends MX4JMonitorMBean

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.Number` `getDerivedGauge(javax.management.ObjectName objectName)`
`long` `getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)`
`boolean` `getDifferenceMode()`
`java.lang.Number` `getInitThreshold()`
`java.lang.Number` `getModulus()`
`boolean` `getNotify()`
`java.lang.Number` `getOffset()`
`java.lang.Number` `getThreshold(javax.management.ObjectName objectName)`
`void` `setDifferenceMode(boolean value)`
`void` `setInitThreshold(java.lang.Number value)`
`void` `setModulus(java.lang.Number value)`
`void` `setNotify(boolean value)`
`void` `setOffset(java.lang.Number value)`

Methods inherited from interface mx4j.monitor.MX4JMonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, start, stop`

Method Detail

### getDerivedGauge

    public java.lang.Number getDerivedGauge(javax.management.ObjectName objectName)

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)

### getThreshold

    public java.lang.Number getThreshold(javax.management.ObjectName objectName)

### getInitThreshold

    public java.lang.Number getInitThreshold()

### setInitThreshold

    public void setInitThreshold(java.lang.Number value)
                          throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getOffset

    public java.lang.Number getOffset()

### setOffset

    public void setOffset(java.lang.Number value)
                   throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getModulus

    public java.lang.Number getModulus()

### setModulus

    public void setModulus(java.lang.Number value)
                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getNotify

    public boolean getNotify()

### setNotify

    public void setNotify(boolean value)

### getDifferenceMode

    public boolean getDifferenceMode()

### setDifferenceMode

    public void setDifferenceMode(boolean value)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.